<!--
*  Created Date                                   : 27-Mar-21
*  Created By                                     : Bhushan K 
*  Requirement Reference                          : CCM-808
*  Description			                          : To display SAP retrieve data for ALl Deliveries 
                                                     Tab on Account 360 view.
*****  MODIFICATION HISTORY
Version Number		Date		Last Modified By		Description/User Story Number
 -->

<template>
    <template if:true={deliveryLists}>
        <template if:true={deliveryLists.isSuccess}>
            <div style="height: 500px; width:300;">
                <lightning-datatable key-field="id" data={deliveryLists.d.results} hide-checkbox-column="hide-checkbox-column" columns={columns}></lightning-datatable>
            </div>
        </template>
        <template if:false={deliveryLists.isSuccess}>
            {deliveryLists.errorMessage}
        </template>
    </template>
    <template if:false={deliveryLists}>
        <lightning-spinner alternative-text="Loading"></lightning-spinner>
    </template>
</template>